Bug 509594 - selinux denial related to hplip and printing to CD/DVD
selinux denial related to hplip and printing to CD/DVD
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 17:35 EDT by Richard Shaw
Modified: 2009-07-05 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-05 22:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2009-07-03 17:35:21 EDT
Description of problem:
Get AVC denial when printing to HP Photosmart C5580. Sometime jobs gets through, sometimes it doesn't. Seems to only affect the CD/DVD tray, haven't tried the photo tray.

Version-Release number of selected component (if applicable):
hplip 3.9.2-4 & 3.9.2-5 (from updates-testing)
glables 2.2.5-1

How reproducible:
Any job sent to printer for CD/DVD causes denial


Steps to Reproduce:
1. Setup CD/DVD job from glabels
2. Print to CD/DVD queue setup specifically for printing to discs.
3.
  
Actual results:
Some print jobs drop.

Expected results:
Print job completes.

Additional info:
SELinux troubleshooter info:

Summary:

SELinux is preventing python (hplip_t) "read" security_t.

Detailed Description:

SELinux denied access requested by python. It is not expected that this access
is required by python and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:hplip_t:s0
Target Context                system_u:object_r:security_t:s0
Target Objects                mls [ file ]
Source                        python
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          hobbes.localdomain
Source RPM Packages           python-2.6-9.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-53.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     hobbes.localdomain
Platform                      Linux hobbes.localdomain 2.6.29.5-191.fc11.x86_64
                              #1 SMP Tue Jun 16 23:23:21 EDT 2009 x86_64 x86_64
Alert Count                   50
First Seen                    Sun 21 Jun 2009 02:29:26 PM CDT
Last Seen                     Fri 03 Jul 2009 04:04:06 PM CDT
Local ID                      0a0b19ce-a912-4305-9e4a-1e1369ea4f3f
Line Numbers                  

Raw Audit Messages            

node=hobbes.localdomain type=AVC msg=audit(1246655046.621:40947): avc:  denied  { read } for  pid=2882 comm="python" name="mls" dev=selinuxfs ino=12 scontext=system_u:system_r:hplip_t:s0 tcontext=system_u:object_r:security_t:s0 tclass=file

node=hobbes.localdomain type=SYSCALL msg=audit(1246655046.621:40947): arch=c000003e syscall=2 success=no exit=-13 a0=7fff6e5b9800 a1=0 a2=7fff6e5b980c a3=fffffff8 items=0 ppid=2862 pid=2882 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="python" exe="/usr/bin/python" subj=system_u:system_r:hplip_t:s0 key=(null)
Comment 1 Daniel Walsh 2009-07-05 22:18:56 EDT
Fixed in selinux-policy-3.6.12-57.fc11.noarc

Note You need to log in before you can comment on or make changes to this bug.